Neu PHP 8.1 Liste der PlugIns

  • Wichtiger Hinweis Liebe Kunden, solltet Ihr den DATEV Rechnungsdatenservice 2.0 nutzen, dann müsst Ihr bis zum 30.06.2024 JTL-Wawi 1.9 installieren. Danach wird die Schnittstelle für ältere Versionen nicht mehr unterstützt.
  • JTL-Connect 2024: Ihr habt noch kein Ticket? Jetzt Early Bird Ticket zum Vorzugspreis sichern! HIER geht es zum Ticketverkauf

gnarx

Sehr aktives Mitglied
18. Januar 2018
3.844
529
Wir haben mal uns schlau gemacht welche PlugIns schon mit PHP 8.1 laufen:

Altersprüfung -> Ja - PHP 8.1 fertig aber noch nicht im Store, muss man direkt anfordern
Amazon Pay -> Laut JTL Store mit PHP 8.1
Dashbar -> Laut **Webstolen noch ca. 3 Wochen bis Fertigstellung
***Dropper -> ab Version 100.19 mit PHP 8.1
EU Cookie -> Ja - PHP 8.1 fertig
Händlerbund -> Nein
LilFOOT Spam -> Ja – PHP 8.1 fertig
meineinkauf.ch -> (*Netzdinge)
Unterkategorien in Oberkategorien -> (*Netzdinge)
Mollie -> Laut **Webstolen noch ca. 3 Wochen bis Fertigstellung
JTL Header -> wird nicht mehr benötigt da in 5.2 integriert
JTL Themeeditor -> wird nicht mehr benötigt da in 5.2 integriert
uptain -> läuft auch über **Webstolen

* Laut Facebook (Kommentar von Netzdinge) sind die PlugIns, trozt Webseitenauskunft, nicht unter php 8.1 lauffähig.

** Webstolen erstellt gerade eine Seite, auf der alle kompatiblen Plugins darstellt werden.
Hier die Liste der frei gegebenen PlugIns von Webstolen: https://helpdesk.webstollen.de/support/solutions/articles/44002399119-jtl-shop-5-2-kompatible-plugin

*** Die aktuellste Version für JTL- Shop 5. Funktioniert ohne installierten IonCube Loader.
 
Zuletzt bearbeitet:

pannscheck

Sehr aktives Mitglied
1. Mai 2009
232
50
Danke gnarx!

@Jtl
Da für Plugins mittlerweile die PHP-Version (neben der Shopversion) essentiell ist, wäre eine Übersicht direkt im JTL Extension Store sehr hilfreich.
Unter: https://www.jtl-software.de/extension-store/loesungen-erweiterungen

@Plugin-Programmierer
Baut doch bitte in eure Plugins Links ein, mit denen man direkt (!) auf eine Change-Log Seite (oder Infoseite) kommt. Dort könnten auch Infos zu den aktuellen Systemvoraussetzungen stehen.

Gruss, Pannscheck
 
  • Gefällt mir
Reaktionen: Xantiva und 301Moved

Odintyr

Gut bekanntes Mitglied
24. März 2016
227
16
wie sieht es den mit dem Shopauskunft Plugin aus? Gab ja ein neues Release am 17.01.2023. Hatte aber gestern 2 mal whitescreens im front und backened nachdem ich erst versucht habe zu aktualisieren und und dann eine Neuinstallation versucht hatte.
 

Tom | knowmates

Offizieller Servicepartner
SPBanner
17. Februar 2021
103
45
wie sieht es den mit dem Shopauskunft Plugin aus? Gab ja ein neues Release am 17.01.2023. Hatte aber gestern 2 mal whitescreens im front und backened nachdem ich erst versucht habe zu aktualisieren und und dann eine Neuinstallation versucht hatte.
Das Plugin wurde für Shop 5.2 und PHP 8.1 released. Solltest Du Probleme damit haben, wende dich bitte an den Support unter support.knowmates.de . Dort wird dir schnell und kompetent geholfen.
 

ergowebshop

Gut bekanntes Mitglied
14. Januar 2022
119
24
Meines Wissens ist das Rechtstexte Plugin für alle Versionen von JTL-Shop 5 verfügbar und verrichtet seinen Dienst unabhängig von der PHP - Version.
Laut Changelog läuft es seit der v1.3.0 vom 11.11.2022 mit PHP 8.1
Ob es wirklich sauber Shop 5.2.1 tauglich ist, weiß ich nicht, laut v1.3.1 vom 19.01.2023 wäre es kompatibel mit "aktuellster Shop Version".
 
Zuletzt bearbeitet:
  • Gefällt mir
Reaktionen: gnarx

gnarx

Sehr aktives Mitglied
18. Januar 2018
3.844
529
Wir haben mal uns schlau gemacht welche PlugIns schon mit PHP 8.1 laufen:

Altersprüfung -> Ja - PHP 8.1 fertig aber noch nicht im Store, muss man direkt anfordern
Amazon Pay -> Laut JTL Store mit PHP 8.1
Dashbar -> Laut **Webstolen noch ca. 3 Wochen bis Fertigstellung
***Dropper -> ab Version 100.19 mit PHP 8.1
EU Cookie -> Ja - PHP 8.1 fertig
Händlerbund -> Laut Changelog läuft es seit der v1.3.0 vom 11.11.2022 mit PHP 8.1 (@ergowebshop & @Tom | knowmates)
LilFOOT Spam -> Ja – PHP 8.1 fertig
meineinkauf.ch -> * PHP 8.1 - JTL Shop 5. Ohne installierten IonCube Loader (Netzdinge)
Unterkategorien in Oberkategorien -> (*Netzdinge)
Mollie -> Laut **Webstolen noch ca. 3 Wochen bis Fertigstellung
JTL Header -> wird nicht mehr benötigt da in 5.2 integriert
JTL Themeeditor -> wird nicht mehr benötigt da in 5.2 integriert
uptain -> läuft auch über **Webstolen

* Laut Facebook (Kommentar von Netzdinge) sind die PlugIns, trozt Webseitenauskunft, nicht unter php 8.1 lauffähig.

*** Die aktuellste Version für JTL- Shop 5. Funktioniert ohne installierten IonCube Loader.

** Webstolen erstellt gerade eine Seite, auf der alle kompatiblen Plugins darstellt werden.
Hier die Liste der frei gegebenen PlugIns von Webstolen: https://helpdesk.webstollen.de/support/solutions/articles/44002399119-jtl-shop-5-2-kompatible-plugin
Übersicht von der Webseite vom 24.01.2023:
  1. Autolinker
  2. Contact Forms
  3. Google Bewertungen
  4. Unregistered Ratings
  5. Glossary
  6. Releva.nz Remarketing
  7. EU Cookie
  8. OSS Lieferland
  9. Video Connect
  10. Ultimate SEO
  11. Versandkostenfrei Aktion
  12. Aftersales
 

ergowebshop

Gut bekanntes Mitglied
14. Januar 2022
119
24
Die folgenden JTL Plugins haben auch kürzlich auf PHP 8.1 aktualisierte Versionen rausgebracht:
JTL Exportformat Google Shopping
JTL Google reCaptcha v2
JTL PayPal Checkout
JTL Klarna Payments
JTL Widgets

Klarna funktioniert noch mit 5.1er Shops, die anderen heben die Mindestversion des Shops auf 5.2 an.

Das sollte auch noch Beachtung finden wenn man noch 5.1 hat.

Also um zu wissen ob z.B. PayPal dann noch reibungslos funktioniert muss ich:
- das PHP von z.B. 7.4 auf 8.1 aktualisieren (wo dann einige alte Plugins vlt. kurz nicht gehen),
- meinen 5.1er schnell auf 5.2er aktualisieren (wo dann einige alte Plugins vlt. kurz nicht gehen),
- kann dann erst die letzten Plugins auf ihre neuen Versionen aktualisieren und testen.
- und wenn irgendwas schief geht ein ordentliches Backup haben und wissen wie man alles rückgängig macht.

Habe ich irgendwas vergessen? 😅
 
  • Gefällt mir
Reaktionen: gnarx

Tom | knowmates

Offizieller Servicepartner
SPBanner
17. Februar 2021
103
45
Das sollte auch noch Beachtung finden wenn man noch 5.1 hat.

Also um zu wissen ob z.B. PayPal dann noch reibungslos funktioniert muss ich:
- das PHP von z.B. 7.4 auf 8.1 aktualisieren (wo dann einige alte Plugins vlt. kurz nicht gehen),
- meinen 5.1er schnell auf 5.2er aktualisieren (wo dann einige alte Plugins vlt. kurz nicht gehen),
- kann dann erst die letzten Plugins auf ihre neuen Versionen aktualisieren und testen.
- und wenn irgendwas schief geht ein ordentliches Backup haben und wissen wie man alles rückgängig macht.

Habe ich irgendwas vergessen? 😅
Immer alle Plugins vor einem Shop-Update deaktivieren - dann Shop aktualisieren - dann Plugins aktualisieren - dann Plugins aktivieren.
 

Henson

Gut bekanntes Mitglied
28. Oktober 2006
144
1
Wann gibt es denn ein aktuelles Interne Seo Links? Das alte läuft leider nicht mehr mit Shop 5.2.2
 

Henson

Gut bekanntes Mitglied
28. Oktober 2006
144
1
Danke für den Link. Aber wo gebe ich da das Keyword und Ziel-URL ein?
Edit: Zudem habe ich keine Texte mehr auf der Startseite, wenn das Plugin aktiviert ist.
 
Zuletzt bearbeitet:

ergowebshop

Gut bekanntes Mitglied
14. Januar 2022
119
24
Welches Plugin meinst du genau Henson, dieses hier?
https://www.jtl-software.de/extension-store/intern-produkte-verlinken-fuer-besseres-seo-jtl-shop-5
Wenn ja, dann kann dir wie gesagt nur der Plugin Hersteller sagen wann es eine neue Version gibt.

Das was FMoche verlinkt hat ist 11 Monate alt, von ihm selbst entwickelt und wohl ein Plugin um den selben Zweck zu erfüllen.

gnarx, man müsste im Webspace im Ordner plugins einen Ordner jtl_internal_links erstellen, da die info.xml und Bootstrap.php reinpacken, dann erscheint es im Shop Backend im Plugin Manager unter vorhanden und man kann es installieren.

Grob überflogen hängt es sich an Artikel, Hersteller, Kategorien, Merkmale, News und Suchanfragen und ersetzt da irgendwas durch Links.
Aber ohne den Quelltext genau zu verstehen wüsste man jetzt gar nicht was das Ding tut und ob es Henson hilft.
Ich finde es aber schon ein wenig bedenklich, dass uns der Felix hier einfach einen Link hinknallt ohne was dazu zu sagen. :/
 
Ähnliche Themen
Titel Forum Antworten Datum
Wichtig Beta Connector für Presta 8 mit PHP 8+ PrestaShop-Connector 93
Neu PrestaShop Connector für Prestashop 8 mit PHP 8.2 wird nicht unterstützt PrestaShop-Connector 3
Neu /navi.php?q=2 Abfragen laufen auf 404 Gelöste Themen in diesem Bereich 4
Neu JTL-Shop 5 Liste von CSV-Export Variablen gesucht Allgemeine Fragen zu JTL-Shop 1
Neu Packtisch: In der Liste der Aufträge neue Feld-Spalte mit Spalteneditor hinzufügen Arbeitsabläufe in JTL-WMS / JTL-Packtisch+ 0
Neu Liste aller Namespaces und dessen Aufgabe Allgemeine Fragen zu JTL-Shop 0
Neu Wareneingang wird nicht vollständig der Lieferantenbestellung zugeordnet Arbeitsabläufe in JTL-WMS / JTL-Packtisch+ 0
Neu Connectoreinsatz in der lokalen Entwicklungsumgebung Shopware-Connector 1
Neu Produktetiketten zu einer Lieferantenbestellung in der Bestellmenge im Bulk sortiert drucken Druck-/ E-Mail-/ Exportvorlagen in JTL-Wawi 0
Neu Ist es überhaupt möglich mit mehreren Mandanten ein zentrales Lager anzusteuern und der Logistik gebündelt alle Versandaufträge zuzuspielen? Installation von JTL-WMS / JTL-Packtisch+ 2
Neu JTL POS in der Praxis in Österreich + Buchhaltungsexport Allgemeine Fragen zu JTL-POS 1
Neu Warnung in der Entwicklerkonsole - SameSite-Problem bei JTLSHOP und _gcl_au Cookies JTL-Shop - Fehler und Bugs 0
WaWi 1.9.4.5 hängt in der Artikelansicht beim Scrollen JTL-Wawi 1.9 7
Neu DotLiquid: Geschlechtsneutrale Ansprache in Mails aus der Wawi User helfen Usern - Fragen zu JTL-Wawi 2
Neu starker Anstieg der Besucherzahlen ohne Auswirkungen auf Suche oder Umsatz => Botfilter? Betrieb / Pflege von JTL-Shop 1
Fehler bei der verbindung der server anfrage am Arbeitzplatz JTL-Wawi 1.9 2
Neu Was ist der richtige Weg in Plugins Sprachvariablen an Smarty zu übergeben? Plugins für JTL-Shop 1
Fehlermeldung beim Update von der Version 1-6-47-0 auf 1-9-4-5 JTL-Wawi 1.7 6
Neu Wenn bereits eine Retoure zu einem Auftrag existiert, wird der Auftrag in der WMS im Retourenfenster nicht mehr angezeigt. JTL-WMS / JTL-Packtisch+ - Fehler und Bugs 0
Beantwortet Bilder der Variantenprodukte JTL Ameise - Eigene Exporte 1
Neu Probleme mit der mobilen Ansicht des Shops Allgemeine Fragen zu JTL-Shop 3
Ladezeit der Kategorie JTL-Wawi 1.9 4
Neu Export von Kategorien - Sichtbarkeit andere wie in der WAWI JTL-Ameise - Fehler und Bugs 7
Neu Steuerpflichtig in der Schweiz, Versand aus Deutschland Arbeitsabläufe in JTL-Wawi 10
Stücklisten mit Einkaufspreisen der Einzelprodukte sehen JTL-Wawi 1.8 6
Neu 1.9.4.3 Keine Mehrpaketsendungen mit der neuen UPS OAuth-Schnittstelle möglich JTL-ShippingLabels - Fehler und Bugs 14
Neu Druck entspricht nicht der Druckvorschau - Hilfe - was bedeutet IssueIndex() eigentlich? User helfen Usern - Fragen zu JTL-Wawi 0
Neu Hilfe bei Datenbankabfrage - da gab es jemanden, der schnell ( gegen Bazahlung ) helfen konte User helfen Usern - Fragen zu JTL-Wawi 1
Neu Änderung der Registrierungsweise für Smart-Funnktionen? Installation / Updates von JTL-Shop 1
Artikel -> Mindestabnahme/Abnahmeintervall wird bei Auftragsanlage in der App nicht übernommen JTL-Wawi App 2
Nach Start der Wawi Angebotsübersicht beginnt mit den ältesten Angeboten. JTL-Wawi 1.8 1
Neu Artikelstammdaten - Registerkarte "Lieferanten" fehlt beim öffnen der Artikelstammdaten User helfen Usern - Fragen zu JTL-Wawi 2
Neu Warenkorb anzeige mit der Gesammtsumme Templates für JTL-Shop 0
Gelöst Wird die Anzahl der Kassenlade-Öffnungen irgendwo erfasst? Wenn ja, wo finde ich die Angabe? Allgemeine Fragen zu JTL-POS 6
Sortierung von der Stücklisten-Artikel innerhalb einer Variation JTL-Wawi 1.9 1
Neu Übernahme Shop inkl. WAWI - Löschen von Kundendaten in der Datenbank Installation von JTL-Wawi 4
Neu Anordnung des Elementes für Anzahl der Ergebnisse für Kategorieseiten User helfen Usern - Fragen zu JTL-Wawi 1
Neu Name der Zahlungsart in Kleinbuchstaben konvertiert Shopify-Connector 0
Neu Shopware 5: Nach Backup-Einspielung führt der Connector keinen Abgleich mehr durch Shopware-Connector 3
Neu Der JTL-ShippingLabels-Server ist nicht erreichbar. Bitte versuchen Sie es zu einem späteren Zeitpunkt Gelöste Themen in diesem Bereich 10
Bin ich es der wahnsinnig ist oder die neue 1.9.4.1? JTL-Wawi 1.9 15
Neu Im lieferschein wird der Gutscheincode im Arikelnamen mit ausgegeben User helfen Usern - Fragen zu JTL-Wawi 0
Neu Über 10 Jahre alte Kundendaten + Aufträge + Rechnung in der wawi löschen User helfen Usern - Fragen zu JTL-Wawi 0
Fenster beim Druck aus der Wawi JTL-Wawi 1.8 1
Gelöst Lager der POS zuweisen Allgemeine Fragen zu JTL-POS 6
Neu Überschriften der Unterkategorien ändern Templateangelegenheiten JTL-Shop3 1
Neu Benachrichtigung anfordern - Fehler: Der eingegebene Bestätigungscode ist nicht bekannt JTL-Shop - Fehler und Bugs 0
Neu Notfallplan bei Störung der Schnittstelle zwischen JTL und DHL // Lösung via Import Export gesucht Arbeitsabläufe in JTL-Wawi 7
Serverproblem? Unerträglich langsames Tempo der Wawi 1.7.11.0 - seit gestern abend JTL-Wawi 1.7 0
Neu 2 JTL-Shops (B2B + B2C) in der Wawi User helfen Usern - Fragen zu JTL-Wawi 6

Ähnliche Themen